LauncherSetup (install4j API)
Description: declaration: package: com.install4j.api.context, interface: LauncherSetup

# Interface LauncherSetup

public interface LauncherSetup
This interface provides information about launchers. Launchers are configured in the "Launchers" section of the install4j GUI.

Objects of this type are returned by `Context.getLaunchers()` and `Context.getLauncherById(String)`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  Get the ID of the launcher.
  `String`
  `getName()`
  Return the name of the launcher as configured in the install4j GUI.
  `String`
  `getRelativeFileName()`
  Get the relative file name for the launcher.
  `LauncherType`
  `getType()`
  Get the type of the launcher.
  `boolean`
  `isExcludeFromMenu()`
  Returns whether the launcher is excluded from menu integration.
  `boolean`
  `isUninstaller()`
  Returns whether the launcher is the uninstaller.

- ## Method Details

  - ### getRelativeFileName

    String getRelativeFileName()
    Get the relative file name for the launcher.
    Returns:
      the relative file name.

  - ### getId

    String getId()
    Get the ID of the launcher. The ID of a launcher can be displayed in the install4j GUI by invoking Launcher->Show Launcher IDs from the main menu when the Launchers section is active.
    Returns:
      the ID.

  - ### getType

    LauncherType getType()
    Get the type of the launcher.
    Returns:
      the type

  - ### isExcludeFromMenu

    boolean isExcludeFromMenu()
    Returns whether the launcher is excluded from menu integration. This concerns start menu entries on Windows and the creation of links on Unix that are performed by the "Create default start menu entries" action.
    Returns:
      `true` or `false`.

  - ### isUninstaller

    boolean isUninstaller()
    Returns whether the launcher is the uninstaller.
    Returns:
      `true` or `false`.

  - ### getName

    String getName()
    Return the name of the launcher as configured in the install4j GUI.
    Returns:
      the name